Get Payout

Retrieve details for a single payout.

GET/api/v1/payouts/:id

Returns detailed information about a single payout, including the associated affiliate and commission count.

Path parameters

ParameterTypeDescription
idrequired
stringThe payout ID.

Example request

bash
curl https://anderro.com/api/v1/payouts/pay_abc123 \
  -H "x-api-key: sk_your_secret_key"

Responses

200Payout details
json
{
  "data": {
    "id": "pay_abc123",
    "amount_cents": 24500,
    "status": "pending",
    "commission_count": 5,
    "stripe_transfer_id": null,
    "paid_at": null,
    "created_at": "2026-04-01T00:00:00.000Z",
    "affiliate": {
      "id": "ap_xyz789",
      "email": "[email protected]",
      "name": "Jane Smith"
    }
  }
}
404Payout not found
json
{
  "error": "Payout not found"
}